Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 08/30/2021 in all areas

  1. 0.01 of a mm where do you have the ruler to measure it, a human hair is like 0.1 mm. A laser printer is 600 dpi that is 0.04233 mm there is just no way you will see it your wasting your time.
    2 points
  2. You can use the ActiveX taborder property to sort the layouts by the order in which they appear in the drawing, e.g.: ( (lambda ( / dwg dwp idx lst ) (setq dwp (getvar 'dwgprefix) dwg (getvar 'dwgname) ) (vlax-for lyt (vla-get-layouts (vla-get-activedocument (vlax-get-acad-object))) (if (wcmatch (strcase (vla-get-name lyt) t) "*plan*") (setq lst (cons (vla-get-name lyt) lst) idx (cons (vla-get-taborder lyt) idx) ) ) ) (foreach n (vl-sort-i idx '<) (setq lyt (nth n lst)) (write-line (strcat "[DWF6Sheet:" dwg "-" lyt "]" "\nDWG=" dwp dwg ".dwg" "\nLayout=" lyt "\nSetup=" "\nOriginalSheetPath=" dwp dwg ".dwg" "\nHas Plot Port=0" "\nHas3DDWF=0" ) file ) ) ) )
    1 point
  3. Problem one: (defun C:VV1 (/ cmd osm olderr ss PT index DS N13 N14) (setq cmd (getvar "CMDECHO") osm (getvar "OSMODE") olderr *error* *error* myerror ) (princ "Please select dimension object!") (setq ss (ssget '((0 . "DIMENSION")))) (setvar "CMDECHO" 0) (setq PT (getpoint "\nPoint to trim or extend:") PT (trans PT 1 0) ) (command "UCS" "_W") (repeat (setq index (sslength ss)) (setq DS (entget (ssname ss (setq index (1- index))))) (cond ((equal (cdr (assoc 50 DS)) 0.0 0.001) (setq N13 (cons 13 (list (car (cdr (assoc 13 DS))) (cadr PT) (caddr (cdr (assoc 13 DS))))) DS (subst N13 (assoc 13 DS) DS) N14 (cons 14 (list (car (cdr (assoc 14 DS))) (cadr PT) (caddr (cdr (assoc 14 DS))))) DS (subst N14 (assoc 14 DS) DS) ) (entmod DS) ) ((equal (cdr (assoc 50 DS)) (/ pi 2) 0.001) (setq N13 (cons 13 (list (car PT) (cadr (cdr (assoc 13 DS))) (caddr (cdr (assoc 13 DS))))) DS (subst N13 (assoc 13 DS) DS) N14 (cons 14 (list (car PT) (cadr (cdr (assoc 14 DS))) (caddr (cdr (assoc 14 DS))))) DS (subst N14 (assoc 14 DS) DS) ) (entmod DS) ) ) ) (command "UCS" "_P") (setvar "CMDECHO" cmd) (setvar "OSMODE" osm) (setq *error* olderr) (princ) ) Problem two: ;;; select horizontal and vertical dimension (setq ss (ssget (list (cons 0 "DIMENSION") (cons -4 "<OR") (cons 50 0.0) (cons 50 (/ pi 2)) (cons -4 "OR>") ) ) ) (repeat (setq index (sslength ss)) (if (not (equal (last (entget (ssname ss (setq index (1- index))))) '(100 . "AcDbRotatedDimension"))) (ssdel (ssname ss index) ss) ) )
    1 point
  4. If you really, really want to see a difference, why not try an optical illusion by making the colour of the line a little bit lighter.
    1 point
  5. If you have a border line at exactly the hard clip limit it can do what your talking about 1 line missing, bring the missing line like for me 1mm smaller and see if that fixes. Like on the A3 laser its 5mm all round but we have it set to 6mm and use Window C.
    1 point
  6. There are so many variables - but the first thing I like to do is remove the printer itself variable. Set up your page setup like you think it should be and print to PDF. Now open the PDF in Acrobat or Bluebeam or whatever. Does it look right there? If so, then you know the problem is somewhere between your PC and the printer. Next, print the PDF from Acrobat/Bluebeam/Whatever to the printer - how does it come out? Basically remove a variable and note the results each time. Here, we have dozens of printer models and hundreds of users and we (for the most part), actually do print to PDF, then print those PDFs to the hardcopy printer (if a hardcopy is needed at all....) - and we avoid all the pitfalls of having to install, adjust, & maintain [blank]CAD print drivers and settings.
    1 point
  7. Yes, the DCL file is written to a temporary filename generated by vl-filename-mktemp, this file is then deleted following function completion. You can test it with something like: (PromptBox "Information" "AutoLISP is Fun") Or maybe: (PromptBox "Title" nil) Lee
    1 point
  8. Thought it'd be fun to write an example: (defun PromptBox ( title msg / dcl dch file val ) ;; ------------------------------------------- ;; ;; Arguments:- ;; ;; ------------------------------------------- ;; ;; title - Dialog Box Title ;; ;; msg - [Optional] Text to Display ;; ;; ------------------------------------------- ;; ;; Returns:- ;; ;; ------------------------------------------- ;; ;; Entered String if user presses OK, else nil ;; ;; ------------------------------------------- ;; ;; Example by Lee Mac 2010 - www.lee-mac.com ;; ;; ------------------------------------------- ;; (cond ( (not (and (setq dcl (vl-filename-mktemp nil nil ".dcl")) (setq file (open dcl "w")) (progn (write-line (strcat "promptbox : dialog { label = \"" title "\"; initial_focus = \"txt\"; spacer;" ": edit_box { key = \"txt\"; edit_width = 60; edit_limit = 2048; allow_accept = true; } spacer; ok_cancel; }" ) file ) (setq file (close file)) (findfile dcl) ) ) ) ) ( (<= (setq dch (load_dialog dcl)) 0) (vl-file-delete dcl) ) ( (not (new_dialog "promptbox" dch)) (unload_dialog dch) (vl-file-delete dcl) ) (t (if msg (setq val (set_tile "txt" msg))) (action_tile "txt" "(setq val $value)") (if (zerop (start_dialog)) (setq val nil)) (unload_dialog dch) (vl-file-delete dcl) ) ) val )
    1 point
×
×
  • Create New...